ユーザー日次利用量エンドポイント
curl --request GET \
--url https://api.devin.ai/v2/enterprise/consumption/daily/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/consumption/daily/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/consumption/daily/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"consumption_by_date": {},
"consumption_by_org_id": {},
"total_acus": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}消費量エンドポイント
ユーザー別日次消費量
特定ユーザーの日次消費量を返します
GET
/
v2
/
enterprise
/
consumption
/
daily
/
{user_id}
ユーザー日次利用量エンドポイント
消費量 API は Enterprise プランのアカウントでのみ利用できます。Teams および self-serve の
組織には
403 レスポンスが返され、サポートが有効化できるアカウント単位のトグルはありません。タイムゾーンの動作
組織でフィルタリング
org_ids でフィルタリングすると、指定した組織に割り当てられたすべてのACUが結果に含まれます。これには、Devin セッションのACUに加え、各ユーザーの主要な請求組織に割り当てられるDevin DesktopおよびDevin CLIのACUも含まれます。ユーザーの主要な請求組織がどのように決定されるかについては、Local Agent Controlsを参照してください。承認
Enterprise 管理者専用の個人用 API キー (apk_user_*)

